

<!DOCTYPE html>
<html class="writer-html5" lang="ru" >
<head>
  <meta charset="utf-8" />
  
<!-- Yandex.Metrika counter -->
<script async="" src="https://mc.yandex.ru/metrika/tag.js"></script>
<script type="text/javascript">
	(function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
	m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
	(window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");
 
	ym(88079149, "init", {
		 clickmap:true,
		 trackLinks:true,
		 accurateTrackBounce:true,
		 webvisor:true
	});
 </script>
 <noscript><div><img src="https://mc.yandex.ru/watch/88079149" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
 <!-- /Yandex.Metrika counter -->



  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>2. Как использовать? &mdash; документация pyOpenRPA v1.3.1 v1.3.1</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/translations.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Алфавитный указатель" href="../genindex.html" />
    <link rel="search" title="Поиск" href="../search.html" />
    <link rel="next" title="1. Описание" href="../Orchestrator/01_Orchestrator.html" />
    <link rel="prev" title="1. Описание" href="01_Studio.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> pyOpenRPA v1.3.1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Поиск в документации" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">ОБЩЕЕ</span></p>
<ul>
<li class="toctree-l1"><a class="reference external" href="https://pyopenrpa.ru/wiki/guide/index">Выбрать версию</a></li>
<li class="toctree-l1"><a class="reference internal" href="../01_HowToInstall.html">1. Первый запуск (Windows &amp; Linux)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../03_Copyrights_Contacts.html">2. Лицензия &amp; Контакты</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ РОБОТ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Robot/01_Robot.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Robot/02_uidesktop.html">2. Функции UIDesktop</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Robot/03_uiweb.html">3. Функции UIWeb</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Robot/04_keyboard.html">4. Функции Keyboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Robot/05_clipboard.html">5. Функции Clipboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Robot/06_mouse.html">6. Функции Mouse</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Robot/07_screen.html">7. Функции Screen</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Robot/08_audio.html">8. Функции Audio</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Robot/09_HowToUse.html">9. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ СТУДИЯ</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="01_Studio.html">1. Описание</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">2. Как использовать?</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#general">Общее</a></li>
<li class="toctree-l2"><a class="reference internal" href="#how-to-run">Как запустить?</a></li>
<li class="toctree-l2"><a class="reference internal" href="#ui">Описание UI студии</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#id4">Скриншот 1</a></li>
<li class="toctree-l3"><a class="reference internal" href="#id5">Скриншот 2</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#how-to-extract-ui-tree">Извлечь UI дерево</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#expand">Действие: Нажать по кнопке «Expand»</a></li>
<li class="toctree-l3"><a class="reference internal" href="#id7">Итог</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#how-to-search-ui-object-by-mouse-hover">Поиск UI объекта по наведению мыши</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#mouse-search">Действие: Нажать кнопку «Mouse search»</a></li>
<li class="toctree-l3"><a class="reference internal" href="#ui-ctrl-3">Действие: Навести курсор мыши на UI объект, который интересует и зажать клавишу «Ctrl» на 3 секунды</a></li>
<li class="toctree-l3"><a class="reference internal" href="#ui-ui-tree-viewer">Итог: Интересующий UI объект будет отображен в <code class="docutils literal notranslate"><span class="pre">UI</span> <span class="pre">tree</span> <span class="pre">viewer</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#how-to-extract-ui-object-properties">Извлечь свойства UI объекта</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#choose-the-ui-object-you-are-interested-and-click-it">Действие: Choose the UI object you are interested and click it</a></li>
<li class="toctree-l3"><a class="reference internal" href="#ui-selected-ui-object-property-list">Итог: Свойства UI объекта будут отображены в <code class="docutils literal notranslate"><span class="pre">Selected</span> <span class="pre">UI</span> <span class="pre">object</span> <span class="pre">property</span> <span class="pre">list</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#id10">Быстрая навигация</a></li>
</ul>
</li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ ОРКЕСТРАТОР</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/01_Orchestrator.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/02_Defs.html">2. Функции</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/03_gSettingsTemplate.html">3. Настройки GSettings (шаблон)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/04_HowToUse.html">4. Как использовать?</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/05_UAC.html">5. Права доступа пользователей UAC</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ АГЕНТ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Agent/02_Defs.html">2. Функции Agent</a></li>
</ul>
<p class="caption"><span class="caption-text">ИНСТРУМЕНТЫ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Tools/02_Defs.html">2. Функции StopSafe</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">pyOpenRPA v1.3.1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>2. Как использовать?</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/Studio/02_HowToUse.rst.txt" rel="nofollow"> Просмотреть исходный код страницы</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="module-studio-how-to-use">
<span id="id1"></span><h1>2. Как использовать?<a class="headerlink" href="#module-studio-how-to-use" title="Ссылка на этот заголовок">¶</a></h1>
<div class="section" id="general">
<span id="id2"></span><h2>Общее<a class="headerlink" href="#general" title="Ссылка на этот заголовок">¶</a></h2>
<ul class="simple">
<li><p><a class="reference external" href="#how-to-run">Как запустить?</a></p></li>
<li><p><a class="reference external" href="#ui-description">Описание UI студии</a></p></li>
<li><p><a class="reference external" href="#how-to-extract-ui-tree">Извлечь UI дерево</a></p></li>
<li><p><a class="reference external" href="#how-to-search-ui-object-by-mouse-hover">Поиск UI объекта по наведению мыши</a></p></li>
<li><p><a class="reference external" href="#how-to-extract-ui-object-properties">Извлечь свойства UI объекта</a></p></li>
</ul>
</div>
<div class="section" id="how-to-run">
<span id="id3"></span><h2>Как запустить?<a class="headerlink" href="#how-to-run" title="Ссылка на этот заголовок">¶</a></h2>
<ul class="simple">
<li><p>Запустить файл Studiostart.cmd</p></li>
<li><p>Ожидать текст в окне консоли: «running server». Браузер, установленный по умолчанию откроется автоматически</p></li>
<li><p><strong>!ВНИМАНИЕ!</strong> Студия поддерживает все версии браузеров, кроме Internet Explorer.</p></li>
</ul>
<img alt="504b98f76747f63900a2943532a946bb.png" src="img/504b98f76747f63900a2943532a946bb.png" />
</div>
<div class="section" id="ui">
<span id="ui-description"></span><h2>Описание UI студии<a class="headerlink" href="#ui" title="Ссылка на этот заголовок">¶</a></h2>
<p><strong>Интерфейс (UI) студии состоит из следующих компонентов:</strong></p>
<ol class="arabic simple">
<li><p>Обозреватель UI дерева</p></li>
<li><p>Обозреватель иерархии выбранного UI объекта</p></li>
<li><p>Обозреватель свойств выбранного уровня UI объекта</p></li>
<li><p>Редактор UIO селектора</p></li>
<li><p>Панель активностей над UIO объектом</p></li>
<li><p>Панель других Python активностей</p></li>
<li><p>Список активностей</p></li>
</ol>
<p><em>Ниже представлены скриншоты студии</em></p>
<div class="section" id="id4">
<h3>Скриншот 1<a class="headerlink" href="#id4" title="Ссылка на этот заголовок">¶</a></h3>
<img alt="504b98f76747f63900a2943532a946bb.png" src="img/d3d6ad14a7e50843bd89d2b14a092fee.png" />
</div>
<div class="section" id="id5">
<h3>Скриншот 2<a class="headerlink" href="#id5" title="Ссылка на этот заголовок">¶</a></h3>
<img alt="65b7d51c0a5b21e6b27dc23d4062d3ca.png" src="img/65b7d51c0a5b21e6b27dc23d4062d3ca.png" />
</div>
</div>
<div class="section" id="how-to-extract-ui-tree">
<span id="id6"></span><h2>Извлечь UI дерево<a class="headerlink" href="#how-to-extract-ui-tree" title="Ссылка на этот заголовок">¶</a></h2>
<p>Чтобы извлечь дерево пользовательского интерфейса выполните следующие действия: в <code class="docutils literal notranslate"><span class="pre">UI</span> <span class="pre">Tree</span> <span class="pre">viewer</span></code> выбрать интересующий UI объект и нажать кнопку <code class="docutils literal notranslate"><span class="pre">Expand</span></code>.</p>
<div class="section" id="expand">
<h3>Действие: Нажать по кнопке «Expand»<a class="headerlink" href="#expand" title="Ссылка на этот заголовок">¶</a></h3>
<img alt="6effc376ff6ea928840674bd744caced.png" src="img/6effc376ff6ea928840674bd744caced.png" />
</div>
<div class="section" id="id7">
<h3>Итог<a class="headerlink" href="#id7" title="Ссылка на этот заголовок">¶</a></h3>
<img alt="18b9ab36126c8c32168bf5bbb9330701.png" src="img/18b9ab36126c8c32168bf5bbb9330701.png" />
<hr class="docutils" />
</div>
</div>
<div class="section" id="how-to-search-ui-object-by-mouse-hover">
<span id="id8"></span><h2>Поиск UI объекта по наведению мыши<a class="headerlink" href="#how-to-search-ui-object-by-mouse-hover" title="Ссылка на этот заголовок">¶</a></h2>
<p>Чтобы выполнить поиск UI объекта пользовательского интерфейса, необходимо в <code class="docutils literal notranslate"><span class="pre">UI</span> <span class="pre">tree</span> <span class="pre">viewer</span></code> выбрать родительский UI объект, в котором вы хотите выполнить поиск, и нажать кнопку <code class="docutils literal notranslate"><span class="pre">Mouse</span> <span class="pre">search</span></code>.</p>
<p>Будет активирован режим поиск UI объекта по курсору мыши. Наведите курсор мыши на интересующий вас объект пользовательского интерфейса и дождитесь, когда студия выделит объект пользовательского интерфейса. После выделения цветов удерживайте клавишу «Ctrl» и подождите 3 секунды. Интересующий UI объект будет показан в <code class="docutils literal notranslate"><span class="pre">UI</span> <span class="pre">tree</span> <span class="pre">viewer</span></code>.</p>
<div class="section" id="mouse-search">
<h3>Действие: Нажать кнопку «Mouse search»<a class="headerlink" href="#mouse-search" title="Ссылка на этот заголовок">¶</a></h3>
<img alt="84d7e4de0c840631f87cf7b325b53ad8.png" src="img/84d7e4de0c840631f87cf7b325b53ad8.png" />
</div>
<div class="section" id="ui-ctrl-3">
<h3>Действие: Навести курсор мыши на UI объект, который интересует и зажать клавишу «Ctrl» на 3 секунды<a class="headerlink" href="#ui-ctrl-3" title="Ссылка на этот заголовок">¶</a></h3>
<img alt="b7c38d622bf5b7afa5b26d1686d7302a.png" src="img/b7c38d622bf5b7afa5b26d1686d7302a.png" />
</div>
<div class="section" id="ui-ui-tree-viewer">
<h3>Итог: Интересующий UI объект будет отображен в <code class="docutils literal notranslate"><span class="pre">UI</span> <span class="pre">tree</span> <span class="pre">viewer</span></code><a class="headerlink" href="#ui-ui-tree-viewer" title="Ссылка на этот заголовок">¶</a></h3>
<img alt="629bbf4db2c01b9c640194230949fcd2.png" src="img/629bbf4db2c01b9c640194230949fcd2.png" />
</div>
</div>
<div class="section" id="how-to-extract-ui-object-properties">
<span id="id9"></span><h2>Извлечь свойства UI объекта<a class="headerlink" href="#how-to-extract-ui-object-properties" title="Ссылка на этот заголовок">¶</a></h2>
<p>Чтобы извлечь свойства UI объекта, необходимо в
<code class="docutils literal notranslate"><span class="pre">Selected</span> <span class="pre">UI</span> <span class="pre">object</span> <span class="pre">hierarchy</span> <span class="pre">list</span></code> выбрать интересующий UI объект и щелкнуть по нему. Список свойств UI объекта будет отображен в <code class="docutils literal notranslate"><span class="pre">Selected</span> <span class="pre">UI</span> <span class="pre">object</span> <span class="pre">property</span> <span class="pre">list</span></code></p>
<div class="section" id="choose-the-ui-object-you-are-interested-and-click-it">
<h3>Действие: Choose the UI object you are interested and click it<a class="headerlink" href="#choose-the-ui-object-you-are-interested-and-click-it" title="Ссылка на этот заголовок">¶</a></h3>
<img alt="2c27be5bdde20b5d062cbb40e74eaec5.png" src="img/2c27be5bdde20b5d062cbb40e74eaec5.png" />
</div>
<div class="section" id="ui-selected-ui-object-property-list">
<h3>Итог: Свойства UI объекта будут отображены в <code class="docutils literal notranslate"><span class="pre">Selected</span> <span class="pre">UI</span> <span class="pre">object</span> <span class="pre">property</span> <span class="pre">list</span></code><a class="headerlink" href="#ui-selected-ui-object-property-list" title="Ссылка на этот заголовок">¶</a></h3>
<img alt="f235ae29099a713e0246cd574ac3a17c.png" src="img/f235ae29099a713e0246cd574ac3a17c.png" />
</div>
</div>
<div class="section" id="id10">
<h2>Быстрая навигация<a class="headerlink" href="#id10" title="Ссылка на этот заголовок">¶</a></h2>
<ul class="simple">
<li><p><a class="reference external" href="https://t.me/pyOpenRPA">Сообщество pyOpenRPA (telegram)</a></p></li>
<li><p><a class="reference external" href="https://tenchat.ru/iMaslov?utm_source=19f2a84f-3268-437f-950c-d987ae42af24">Сообщество pyOpenRPA (tenchat)</a></p></li>
<li><p><a class="reference external" href="https://vk.com/pyopenrpa">Сообщество pyOpenRPA (вконтакте)</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru/Index/pyOpenRPA_product_service.pdf">Презентация pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru">Портал pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://gitlab.com/UnicodeLabs/OpenRPA">Репозиторий pyOpenRPA</a></p></li>
</ul>
<p>		.. v1.3.1 replace:: v1.3.1</p>
<p></p>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="../Orchestrator/01_Orchestrator.html" class="btn btn-neutral float-right" title="1. Описание" accesskey="n" rel="next">Следующая <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="01_Studio.html" class="btn btn-neutral float-left" title="1. Описание" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Предыдущая</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2022, ООО &#34;ОПЕН РПА&#34;.

    </p>
  </div>
    
    
    
    Собрано при помощи <a href="https://www.sphinx-doc.org/">Sphinx</a> с использованием
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">темы,</a>
    
    предоставленной <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>